/* debpsf.h  --  deb-to-PSF translation
 */

#ifndef DEBPSF_20050509_H
#define DEBPSF_20050509_H

#include "taru.h"
#include "strob.h"
#include "tarhdr.h"
typedef struct {
	char * nameM;
	struct tar_header * hdrM;
	char * dataM;
	void * nextM; /* Next DEB_CONTROL_MEMBER */
} DEB_CONTROL_MEMBER;

typedef struct {
	DEB_CONTROL_MEMBER * headM;
	int package_fdM;
	int header_fdM;
	int payload_fdM;
} DEBPSF;

DEBPSF * debpsf_create(int fd);
void     debpsf_delete(DEBPSF * debpsf);
int      debpsf_decode_control_package(DEBPSF * debpsf);
int      debpsf_audit_data_package(DEBPSF * debpsf);
DEB_CONTROL_MEMBER * debpsf_ctm_create(void);
void debpsf_ctm_delete(void);
#endif
